## ros-indigo-jaco-moveit-config 0.0.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jaco_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-jaco-moveit-config (0.0.25-0trusty) trusty; urgency=high

  * Merge branch 'develop' of https://github.com/RIVeR-Lab/wpi_jaco into develop
  * Added initial support for the Jaco2 arm, see readme for details
  * Contributors: David Kent

 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.24-0trusty) trusty; urgency=high

  * reverted changelog
  * changelog updated
  * Contributors: Russell Toris

 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.23-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.22-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.21-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.20-0trusty) trusty; urgency=high

  * file not used
  * Revert "file not used"
    This reverts commit 51053ff0f7325aef8ee1345cefbe790f48ba003b.
  * file not used
  * Revert "removed jaco_description just for testing"
    This reverts commit 92dd7c0762ee89bbd69c68fec269f4711db5e58a.
    Conflicts:
    jaco_moveit_config/package.xml
  * removed jaco_description just for testing
  * Contributors: Mathijs de Langen

 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.19-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.18-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.17-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.16-0trusty) trusty; urgency=high

  * changelogs updated
  * Moved jaco_gazebo to its own package
  * Updated package documentation
  * Updated jaco controllers list for moveit configuration, added install to CMakeLists, and other general cleanup
  * Added moveit support for the standalone Jaco arm
  * Contributors: Alex Henning, David Kent, Russell Toris
  * Moved jaco_gazebo to its own package
  * Updated package documentation
  * Updated jaco controllers list for moveit configuration, added install to CMakeLists, and other general cleanup
  * Added moveit support for the standalone Jaco arm
  * Contributors: Alex Henning, David Kent

 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.15-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.14-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.13-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.12-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.11-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.10-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.9-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.8-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.7-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.6-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.5-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.4-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Tue, 05 Aug 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.3-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.2-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-jaco-moveit-config (0.0.1-0trusty) trusty; urgency=high



 -- Alex Henning <alex@thoriumrobotics.com>  Thu, 31 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-jaco-moveit-config
Section: misc
Priority: extra
Maintainer: Alex Henning <alex@thoriumrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-jaco-description
Homepage: http://ros.org/wiki/jaco_moveit_config
Standards-Version: 3.9.2

Package: ros-indigo-jaco-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jaco-description, ros-indigo-joint-state-publisher, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the jaco with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jaco-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
